Arduino

Reference Language | Libraries | Comparison | Changes

## sqrt(x)

#### Description

Calculates the square root of a number.

#### Parameters

x: the number, any data type

#### Returns

double, the number's square root.

#### See also

- pow()
- sq()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

©Arduino | Edit Page | Page History | Printable View | All Recent Site Changes